| Home | Libraries | People | FAQ | More

# services::logger_service::logger_impl Struct Reference

List of all members.

## Detailed Description

The backend implementation of a logger.

Definition at line 22 of file logger_service.hpp.

## Public Member Functions

| logger_impl (const std::string &id)

## Public Attributes

std::string | identifier

## Constructor & Destructor Documentation

services::logger_service::logger_impl::logger_impl | ( | const std::string & | id | ) | `[explicit]`

Definition at line 24 of file logger_service.hpp.

    00024 : identifier(id) {}

## Member Data Documentation

std::string services::logger_service::logger_impl::identifier

Definition at line 25 of file logger_service.hpp.

The documentation for this struct was generated from the following file:

- services/logger_service.hpp

| Copyright © 2003 - 2006 Christopher M. Kohlhoff